commit 413fa36e697db3143fb7aae103d94147cc7a493c
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Dec 22 01:20:12 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index d1e2e51f3b6..ab657eef61f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251221
+20251222
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index c9553c4f948..3e1bdcf2dd7 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-12-21  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backported from master:
+	2025-12-15  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	PR libfortran/122936
+	* gfortran.dg/pr122936.f90: New test.
+
 2025-12-19  Yury Khrustalev  <yury.khrustalev@arm.com>
 
 	Backported from master:
diff --git a/libgfortran/ChangeLog b/libgfortran/ChangeLog
index d7f85c3c670..4e0ae67632e 100644
--- a/libgfortran/ChangeLog
+++ b/libgfortran/ChangeLog
@@ -1,3 +1,12 @@
+2025-12-21  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backported from master:
+	2025-12-15  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	PR libfortran/122936
+	* io/list_read.c (finish_list_read): Remove the use of hit_eof
+	and free_line. Simplify the logic. Add comments to clarify.
+
 2025-08-13  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
 
 	Backported from master:

